package dao

import (
	dbModel "sdk_api/model/db"

	"gorm.io/gorm"
)

func (d *Dao) GetProviderId(userId, platform string) (providerId string, err error) {
	var temp dbModel.Identity
	err = d.db.Model(&dbModel.Identity{}).Where("user_id = ? and provider = ?", userId, platform).First(&temp).Error
	if err == gorm.ErrRecordNotFound {
		return
	}
	return temp.ProviderId, nil
}
